Package org.eclipse.lemminx.commons

## Class TextDocumentVersionChecker

- java.lang.Object
- - org.eclipse.lemminx.commons.TextDocumentVersionChecker

All Implemented Interfaces:
  `org.eclipse.lsp4j.jsonrpc.CancelChecker`

    public class TextDocumentVersionChecker
    extends Object
    implements org.eclipse.lsp4j.jsonrpc.CancelChecker

A `CancelChecker` implementation to throw a `CancellationException` when version of `TextDocument` changed.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`TextDocumentVersionChecker​(TextDocument textDocument, int version)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkCanceled()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lsp4j.jsonrpc.CancelChecker

`isCanceled`

### Constructor Detail

#### TextDocumentVersionChecker

    public TextDocumentVersionChecker​(TextDocument textDocument,
                                      int version)

### Method Detail

#### checkCanceled

    public void checkCanceled()

Specified by:
  `checkCanceled` in interface `org.eclipse.lsp4j.jsonrpc.CancelChecker`